Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client
Class I2PSimpleSession.SimpleMessageHandlerMap

    java.lang.Object
      net.i2p.client.I2PClientMessageHandlerMap
          net.i2p.client.I2PSimpleSession.SimpleMessageHandlerMap

Enclosing class:
  I2PSimpleSession

     class I2PSimpleSession.SimpleMessageHandlerMap

extends I2PClientMessageHandlerMap

Only map message handlers that we will use

Field Summary

Fields inherited from class net.i2p.client.I2PClientMessageHandlerMap
`_handlers`

Constructor Summary
`I2PSimpleSession.SimpleMessageHandlerMap(I2PAppContext context)`

Method Summary

Methods inherited from class net.i2p.client.I2PClientMessageHandlerMap
`getHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2PSimpleSession.SimpleMessageHandlerMap

    public I2PSimpleSession.SimpleMessageHandlerMap(I2PAppContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD